AstrologyAPI

Use access token to call astrology api.

Learn More

Numerological Numbers

POSThttps://json.astrologyapi.com/v1/numerological_numbers
Copy

This API numerological_numbers calculates numerological numbers based on a person's name and birthdate. The response includes lifepath_number, personality_number, expression_number, soul_urge_number, subconscious_self_number, and challenge_numbers.

POST/numerological_numbers
Copy
1curl --location 'https://json.astrologyapi.com/v1/numerological_numbers' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "date": 10,
6    "month": 5,
7    "year": 1990,
8    "full_name": "John"
9}'
10
200Response
Copy
1{
2  "name": "Ajeet kanojia",
3  "birth_date": "2011-5-15",
4  "lifepath_number": 6,
5  "personality_number": 11,
6  "expression_number": 11,
7  "soul_urge_number": 1,
8  "subconscious_self_number": 5,
9  "challenge_numbers": [
10    1,
11    2,
12    1,
13    1
14  ]
15}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - en

Request Body (JSON)

date

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

full_name

string

required

Name of the person, eg: John

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.